Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class ProductCode

    java.lang.Object
      com.amazonaws.services.ec2.model.ProductCode

    public class ProductCode

extends Object

An AWS DevPay product code.

Constructor Summary
`ProductCode()`

Method Summary
`String` | `getProductCodeId()` The unique ID of an AWS DevPay product code.
`void` | `setProductCodeId(String productCodeId)` The unique ID of an AWS DevPay product code.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ProductCode` | `withProductCodeId(String productCodeId)` The unique ID of an AWS DevPay product code.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProductCode

    public ProductCode()

Method Detail

### getProductCodeId

    public String getProductCodeId()

  The unique ID of an AWS DevPay product code.

  Returns:
    The unique ID of an AWS DevPay product code.

### setProductCodeId

    public void setProductCodeId(String productCodeId)

  The unique ID of an AWS DevPay product code.

  Parameters:
    `productCodeId` - The unique ID of an AWS DevPay product code.

### withProductCodeId

    public ProductCode withProductCodeId(String productCodeId)

  The unique ID of an AWS DevPay product code.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productCodeId` - The unique ID of an AWS DevPay product code.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.